import 'package:functions/src/core/domain/repositories/functions_repository.dart';
import 'package:functions/src/features/remote_connection/domain/entities/picture_entity.dart';
import 'package:functions/src/features/remote_connection/domain/take_picture_use_case.dart';

class TakePictureUseCaseImpl implements TakePictureUseCase {
  TakePictureUseCaseImpl(this._repository);

  final FunctionsRepository _repository;

  @override
  Future<PictureEntity> takePicture({required String userId}) {
    return _repository.takePicture(userId: userId);
  }
}